Name: H5Pget_edc_check
Signature:
  H5Z_EDC_t `H5Pget_edc_check`(hid_t `plist`)
Purpose:
  Determines whether error-detection is enabled for dataset reads.
Description:
  `H5Pget_edc_check` queries the dataset transfer property list `plist` to determine whether error detection is enabled for data read operations.
Parameters:

hid_t `plist` | IN: Dataset transfer property list identifier.

Returns:
  Returns `H5Z_ENABLE_EDC` or `H5Z_DISABLE_EDC` if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_edc_check_f

      SUBROUTINE h5pget_edc_check_f(prp_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Dataset transfer property list
                                              ! identifier
        INTEGER, INTENT(OUT)       :: flag    ! EDC flag; possible values
                                              !    H5Z_DISABLE_EDC_F
                                              !    H5Z_ENABLE_EDC_F
        INTEGER, INTENT(OUT)       :: hdferr  ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_edc_check_f

History:

Release | C
1.6.0 | Function introduced in this release.